## org.eclipse.jetty.plus.jaas.callback
Class AbstractCallbackHandler

    java.lang.Object
      org.eclipse.jetty.plus.jaas.callback.AbstractCallbackHandler

All Implemented Interfaces:
  javax.security.auth.callback.CallbackHandler

Direct Known Subclasses:
  DefaultCallbackHandler

    public abstract class AbstractCallbackHandler

extends java.lang.Object
implements javax.security.auth.callback.CallbackHandler

Field Summary
`protected java.lang.Object` `_credential`
`protected java.lang.String` `_userName`

Constructor Summary
`AbstractCallbackHandler()`

Method Summary
`java.lang.Object` `getCredential()`
`java.lang.String` `getUserName()`
`void` `handle(javax.security.auth.callback.Callback[] callbacks)`
`void` `setCredential(java.lang.Object credential)`
`void` `setUserName(java.lang.String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _userName

    protected java.lang.String _userName

### _credential

    protected java.lang.Object _credential

Constructor Detail

### AbstractCallbackHandler

    public AbstractCallbackHandler()

Method Detail

### setUserName

    public void setUserName(java.lang.String userName)

### getUserName

    public java.lang.String getUserName()

### setCredential

    public void setCredential(java.lang.Object credential)

### getCredential

    public java.lang.Object getCredential()

### handle

    public void handle(javax.security.auth.callback.Callback[] callbacks)
                throws java.io.IOException,
                       javax.security.auth.callback.UnsupportedCallbackException

  Specified by:
    `handle` in interface `javax.security.auth.callback.CallbackHandler`
  Throws:
    `java.io.IOException`
    `javax.security.auth.callback.UnsupportedCallbackException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.